Bug 219284 - devel/aegis: fails to build with lang/gcc6 or later
Summary: devel/aegis: fails to build with lang/gcc6 or later
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks: 219275
  Show dependency treegraph
 
Reported: 2017-05-14 18:14 UTC by Jan Beich
Modified: 2017-08-05 17:04 UTC (History)
3 users (show)

See Also:
rakuco: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-05-14 18:14:46 UTC
common/mem.cc: In function 'void* operator new(size_t)':
common/mem.cc:246:1: error: declaration of 'void* operator new(size_t) throw (std::bad_alloc)' has a different exception specifier
 operator new(size_t nbytes)
 ^~~~~~~~
In file included from common/mem.cc:26:0:
./common/mem.h:132:7: note: from previous declaration 'void* operator new(std::size_t)'
 void *operator new(size_t nbytes) THROW_BAD_ALLOC;
       ^~~~~~~~
common/mem.cc: In function 'void* operator new [](size_t)':
common/mem.cc:266:1: error: declaration of 'void* operator new [](size_t) throw (std::bad_alloc)' has a different exception specifier
 operator new[](size_t nbytes)
 ^~~~~~~~
In file included from common/mem.cc:26:0:
./common/mem.h:139:7: note: from previous declaration 'void* operator new [](std::size_t)'
 void *operator new[](size_t nbytes) THROW_BAD_ALLOC;
       ^~~~~~~~

build log: http://sprunge.us/JKGI
Comment 1 aryeh.friedman 2017-05-28 21:25:16 UTC
Known to compile under gcc48 unknown status for other versions
Comment 2 commit-hook freebsd_committer 2017-08-05 16:56:29 UTC
A commit references this bug:

Author: rakuco
Date: Sat Aug  5 16:56:11 UTC 2017
New revision: 447407
URL: https://svnweb.freebsd.org/changeset/ports/447407

Log:
  Explicitly pass -std=gnu++03 to build.

  GCC 6 switched to -std=gnu++14 by default, which breaks the port. Switch back
  to the previous GCC default to unbreak things.

  PR:		219284
  Approved by:	portmgr (blanket approval)

Changes:
  head/devel/aegis/Makefile